Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# TailRequest Class Reference

`#include <MotionRequest.h>`

List of all members.

## Public Types
enum | TailRequestID { wagHorizontal, wagVertical, wagLeftRightHorizontal, wagLeftRightVertical, wagUpDownLeft, wagUpDownRight, stayAsForced, stayAsForcedPan, stayAsForcedTilt, tailFollowsHead, tailParallelToGround, noTailWag, wagHorizontalFast, wagVerticalFast, twoPositionSwitchVertical, twoPositionSwitchHorizontal, threePositionSwitchVertical, threePositionSwitchHorizontal, fourPositionSwitchUpDownLeftRight, fourPositionSwitchCorners, fivePositionSwitch, eightPositionSwitch, tailLeftTop, tailCenterTop, tailRightTop, tailLeftCenter, tailCenterCenter, tailRightCenter, tailLeftBottom, tailCenterBottom, tailRightBottom, numOfTailRequests }
## Public Member Functions
| TailRequest ()
## Static Public Member Functions
const char * | getTailRequestIDName (TailRequestID id)
| returns names for tail requests
## Public Attributes
TailRequestID | tailRequestID
| tail request

## Member Enumeration Documentation

enum TailRequest::TailRequestID

  | Enumeration values:
  wagHorizontal |
  wagVertical |
  wagLeftRightHorizontal |
  wagLeftRightVertical |
  wagUpDownLeft |
  wagUpDownRight |
  stayAsForced |
  stayAsForcedPan |
  stayAsForcedTilt |
  tailFollowsHead |
  tailParallelToGround |
  noTailWag |
  wagHorizontalFast |
  wagVerticalFast |
  twoPositionSwitchVertical |
  twoPositionSwitchHorizontal |
  threePositionSwitchVertical |
  threePositionSwitchHorizontal |
  fourPositionSwitchUpDownLeftRight |
  fourPositionSwitchCorners |
  fivePositionSwitch |
  eightPositionSwitch |
  tailLeftTop |
  tailCenterTop |
  tailRightTop |
  tailLeftCenter |
  tailCenterCenter |
  tailRightCenter |
  tailLeftBottom |
  tailCenterBottom |
  tailRightBottom |
  numOfTailRequests |
Definition at line 292 of file MotionRequest.h.

## Constructor & Destructor Documentation

TailRequest::TailRequest | ( |  | ) | `[inline]`

| Definition at line 322 of file MotionRequest.h. References tailRequestID, and wagHorizontal.

## Member Function Documentation

const char* TailRequest::getTailRequestIDName | ( | TailRequestID | id | ) | `[inline, static]`

| returns names for tail requests Definition at line 331 of file MotionRequest.h. References eightPositionSwitch, fivePositionSwitch, fourPositionSwitchCorners, fourPositionSwitchUpDownLeftRight, noTailWag, stayAsForcedPan, stayAsForcedTilt, tailCenterBottom, tailCenterCenter, tailCenterTop, tailFollowsHead, tailLeftBottom, tailLeftCenter, tailLeftTop, tailParallelToGround, tailRightBottom, tailRightCenter, tailRightTop, threePositionSwitchHorizontal, threePositionSwitchVertical, twoPositionSwitchHorizontal, twoPositionSwitchVertical, wagHorizontal, wagHorizontalFast, wagLeftRightHorizontal, wagLeftRightVertical, wagUpDownLeft, wagUpDownRight, wagVertical, and wagVerticalFast.

## Member Data Documentation

TailRequestID TailRequest::tailRequestID

| tail request Definition at line 325 of file MotionRequest.h. Referenced by GT2005BehaviorControl::preExecute(), MotionRequest::serialize(), TailRequest(), and GT2005MotionControl::wagTail().

The documentation for this class was generated from the following file:

- Representations/Motion/MotionRequest.h